objcopy(1)

NAME
objcopy—copy and translate object files

SYNOPSIS

objcopy
    [-Fformat|--format=format] [-Iformat|--input-format=format] [-Oformat|--output-format=format] [-S|--strip-all] [-g|--strip-debug] [-x|--discard-all] [-X|--discard-locals] [-v|--verbose] [-V|--version] [--help] infile [outfile]

DESCRIPTION
The GNU objcopy utility copies the contents of an object file to another. objcopy uses the GNU BFD Library to read and write the object files. It can write the destination object file in a format different from that of the source object file. The exact behavior of objcopy is controlled by command-line options.

objcopy creates temporary files to do its translations and deletes them afterward. objcopy uses BFD to do all its translation work; it knows about all the formats BFD knows about, and thus is able to recognize most formats without being told explicitly.

infile and outfile are the source and output files respectively. If you do not specify outfile, objcopy creates a temporary file and destructively renames the result with the name of the input file.

OPTIONS

-I format

--input-format=format
    Consider the source file's object format to be format, rather than attempting to deduce it.

-O format

--output-format=format
    Write the output file using the object format format.

-F format

--format=format
    Use format as the object format for both the input and the output file; i.e. simply transfer data from source to destination with no translation.

-S

--strip-all
    Do not copy relocation and symbol information from the source file.

-g

--strip-debug
    Do not copy debugging symbols from the source file.

-x

--discard-all
    Do not copy non-global symbols from the source file.

-X

--discard-locals
    Do not copy compiler-generated local symbols. (These usually start with "L" or ".").

-v

--verbose
    Verbose output: list all object files modified. In the case of archives, "objcopy -V" lists all members of the archive.

-V

--version
    Show the version number of objcopy and exit.

--help
    Show a summary of the options to objcopy and exit.

SEE ALSO
`binutils' entry in info; The GNU Binary Utilities, Roland H. Pesch (June 1993).

COPYING
Copyright (c) 1993 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.